--- CMakeLists.txt	2021-11-28 23:22:08
+++ CMakeLists.txt	2024-06-02 04:38:46
@@ -1,40 +1,37 @@
 cmake_minimum_required (VERSION 3.11)
 
+project(rgb-tui
+  LANGUAGES CXX
+  VERSION 1.0.0
+)
+
 # --- Fetch FTXUI --------------------------------------------------------------
 include(FetchContent)
-
 set(FETCHCONTENT_UPDATES_DISCONNECTED TRUE)
+set(FETCHCONTENT_QUIET FALSE)
 
 FetchContent_Declare(ftxui
   GIT_REPOSITORY https://github.com/ArthurSonzogni/ftxui
   GIT_TAG cecd54df42dd66fdf8386ed461e16b725bffc827
+  EXCLUDE_FROM_ALL
+  FIND_PACKAGE_ARGS NAMES ftxui
 )
 
 FetchContent_Declare(fmt
   GIT_REPOSITORY https://github.com/fmtlib/fmt
   GIT_TAG 2cac8a9
+  EXCLUDE_FROM_ALL
+  FIND_PACKAGE_ARGS NAMES fmt
 )
 
+FetchContent_GetProperties(ftxui)
+FetchContent_GetProperties(fmt)
+
 FetchContent_MakeAvailable(ftxui)
+FetchContent_MakeAvailable(fmt)
 
-if(NOT fmt_POPULATED)
-  message(STATUS "populate fmt > Start")
-  FetchContent_Populate(fmt)
-  set(BUILD_SHARED_LIBS FALSE)
-  message(STATUS "populate fmt > Done")
-  add_subdirectory(
-    ${fmt_SOURCE_DIR}
-    ${fmt_BINARY_DIR}
-    EXCLUDE_FROM_ALL)
-endif()
-
 # ------------------------------------------------------------------------------
 
-project(rgb-tui
-  LANGUAGES CXX
-  VERSION 1.0.0
-)
-
 add_executable(rgb-tui src/main.cpp)
 target_include_directories(rgb-tui PRIVATE src)
 
